<!doctype html>
<html lang="en">
    <head>
        <title>Bai tap Array</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport"
            content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet"
            href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
            integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
            crossorigin="anonymous">

        <link rel="stylesheet"
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css"
            integrity="sha512-iecdLmaskl7CVkqkXNQ/ZH/XLlvWZOJyj7Yy7tcenmpD1ypASozpmT/E0iPtmFIB46ZmdtAc9eNBvH0H/ZpiBw=="
            crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link rel="stylesheet" href="./index.css">

    </head>
    <body>
        <div class="container">
            <div class="content">
                <div class="form-group header">
                    <input type="number" class="form-control w-25 d-inline" name
                        id="soN" placeholder="Nhập số n">
                    <button id="btn-add-number" class="btn btn-dark">Thêm số
                    </button>

                </div>
                <div class="arrayNumber">
                    <i class="fa-solid fa-hand-point-right"></i>
                    <span id="result_array"></span>
                </div>
                <div class="row baiTap">
                    <div class="col-3">
                        <div class="nav flex-column nav-pills" id="v-pills-tab"
                            role="tablist" aria-orientation="vertical">
                            <button class="nav-link active"
                                id="v-pills-home-tab" data-toggle="pill"
                                data-target="#bai-tap-1" type="button"
                                role="tab" aria-controls="bai-tap-1"
                                aria-selected="true">Tổng các số dương trong
                                mảng.</button>
                            <button class="nav-link" id="v-pills-profile-tab"
                                data-toggle="pill" data-target="#bai-tap-2"
                                type="button" role="tab"
                                aria-controls="bai-tap-2" aria-selected="false">Đếm
                                có bao nhiêu số dương trong mảng</button>
                            <button class="nav-link" id="v-pills-messages-tab"
                                data-toggle="pill"
                                data-target="#bai-tap-3" type="button"
                                role="tab" aria-controls="bai-tap-3"
                                aria-selected="false">Tìm số nhỏ nhất trong
                                mảng.</button>
                            <button class="nav-link" id="v-pills-settings-tab"
                                data-toggle="pill"
                                data-target="#bai-tap-4" type="button"
                                role="tab" aria-controls="bai-tap-4"
                                aria-selected="false">Tìm số dương nhỏ nhất
                                trong mảng.</button>
                            <button class="nav-link"
                                id="bai-tap-5-tab" data-toggle="pill"
                                data-target="#bai-tap-5" type="button"
                                role="tab" aria-controls="bai-tap-5"
                                aria-selected="true">Tìm số chẵn cuối cùng trong
                                mảng. Nếu mảng không có giá trị chẵn thì trả về
                                -1.</button>
                            <button class="nav-link" id="bai-tap-6-tab"
                                data-toggle="pill"
                                data-target="#bai-tap-6" type="button"
                                role="tab" aria-controls="bai-tap-6"
                                aria-selected="false">Đổi chỗ 2 giá trị trong
                                mảng theo vị trí (Cho nhập vào 2 vị trí muốn đổi
                                chỗ giá trị).</button>
                            <button class="nav-link" id="bai-tap-7-tab"
                                data-toggle="pill"
                                data-target="#bai-tap-7" type="button"
                                role="tab" aria-controls="bai-tap-7"
                                aria-selected="false">Sắp xếp mảng theo thứ tự
                                tăng dần.</button>

                            <button class="nav-link"
                                id="bai-tap-8-tab" data-toggle="pill"
                                data-target="#bai-tap-8" type="button"
                                role="tab" aria-controls="bai-tap-8"
                                aria-selected="true">Tìm số nguyên tố đầu tiên trong mảng</button>
                            <button class="nav-link" id="bai-tap-9-tab"
                                data-toggle="pill"
                                data-target="#bai-tap-9" type="button"
                                role="tab" aria-controls="bai-tap-9"
                                aria-selected="false">Đếm số nguyên có trong mảng</button>
                            <button class="nav-link" id="bai-tap-10-tab"
                                data-toggle="pill"
                                data-target="#bai-tap-10" type="button"
                                role="tab" aria-controls="bai-tap-10"
                                aria-selected="false">So sánh số lượng số dương và số âm</button>
                        </div>
                    </div>
                    <div class="col-9">
                        <div class="tab-content" id="v-pills-tabContent">
                            <div class="tab-pane fade show active"
                                id="bai-tap-1" role="tabpanel"
                                aria-labelledby="bai-tap-1-tab">
                                <div class="form-group header">
                                    <button id="btnBai1" class="btn btn-dark">Tính
                                        tổng
                                    </button>

                                </div>
                                <div class="arrayNumber">
                                    <i class="fa-solid fa-hand-point-right"></i>
                                    <span id="result1"></span>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="bai-tap-2"
                                role="tabpanel" aria-labelledby="bai-tap-2-tab">
                                <div class="form-group header">
                                    <button id="btnBai2" class="btn btn-dark">Đếm
                                        số dương trong mảng
                                    </button>

                                </div>
                                <div class="arrayNumber">
                                    <i class="fa-solid fa-hand-point-right"></i>
                                    <span id="result2"></span>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="bai-tap-3"
                                role="tabpanel"
                                aria-labelledby="bai-tap-3-tab">
                                <div class="form-group header">
                                    <button id="btnBai3" class="btn btn-dark">Tìm
                                        số nhỏ nhất trong mảng
                                    </button>

                                </div>
                                <div class="arrayNumber">
                                    <i class="fa-solid fa-hand-point-right"></i>
                                    <span id="result3"></span>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="bai-tap-4"
                                role="tabpanel"
                                aria-labelledby="bai-tap-4-tab">
                                <div class="form-group header">
                                    <button id="btnBai4" class="btn btn-dark">Tìm
                                        số dương nhỏ nhất trong mảng
                                    </button>

                                </div>
                                <div class="arrayNumber">
                                    <i class="fa-solid fa-hand-point-right"></i>
                                    <span id="result4"></span>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="bai-tap-5"
                                role="tabpanel" aria-labelledby="bai-tap-5-tab">
                                <div class="form-group header">
                                    <button id="btnBai5" class="btn btn-dark">Tìm
                                        số chẵn cuối cùng trong mảng.
                                    </button>

                                </div>
                                <div class="arrayNumber">
                                    <i class="fa-solid fa-hand-point-right"></i>
                                    <span id="result5"></span>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="bai-tap-6"
                                role="tabpanel" aria-labelledby="bai-tap-6-tab">
                                <div class="form-group header">
                                    <input type="number"
                                        class="form-control w-25 d-inline" name
                                        id="viTri1"
                                        placeholder="Nhập vị trí thứ 1">

                                    <input type="number"
                                        class="form-control w-25 d-inline" name
                                        id="viTri2"
                                        placeholder="Nhập vị trí thứ 2">
                                    <button id="btn-change-index"
                                        class="btn btn-dark">Đổi chỗ
                                    </button>

                                </div>
                                <div class="arrayNumber">
                                    <i class="fa-solid fa-hand-point-right"></i>
                                    <span>Vị trí số muốn đổi chổ tính từ 1</span>
                                    <span id="result6"></span>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="bai-tap-7"
                                role="tabpanel" aria-labelledby="bai-tap-7-tab">
                                <div class="form-group header">
                                    <button id="btnBai7" class="btn btn-dark">Sắp
                                        xếp theo tăng dần
                                    </button>

                                </div>
                                <div class="arrayNumber">
                                    <i class="fa-solid fa-hand-point-right"></i>
                                    <span id="result7"></span>
                                </div>
                            </div>

                            <div class="tab-pane fade" id="bai-tap-8"
                                role="tabpanel"
                                aria-labelledby="bai-tap-8-tab">
                                <div class="form-group header">
                                    <button id="btnBai8" class="btn btn-dark">Tìm số nguyên tố đầu tiên trong mảng
                                    </button>

                                </div>
                                <div class="arrayNumber">
                                    <i class="fa-solid fa-hand-point-right"></i>
                                    <span id="result8"></span>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="bai-tap-9"
                                role="tabpanel"
                                aria-labelledby="bai-tap-9-tab">
                            
                                <div class="form-group header">
                                    <input type="number" class="form-control w-25 d-inline" name
                                        id="soBai9" placeholder="Nhập số muốn thêm">
                                    <button id="btnThemSoBai9" class="btn btn-dark">Thêm số
                                    </button>
                
                                </div>
                                <div class="arrayNumber">

                                    <i class="fa-solid fa-hand-point-right"></i>
                                    <span id="resultArray9"></span>
                                </div>

                                <div class="form-group header">
                                    
                                    <button id="btnDemSoBai9" class="btn btn-dark">Đếm số nguyên
                                    </button>
                
                                </div>
                                <div class="arrayNumber">

                                    <i class="fa-solid fa-hand-point-right"></i>
                                    <span id="resultbai9"></span>
                                </div>

                            </div>
                            <div class="tab-pane fade" id="bai-tap-10"
                                role="tabpanel"
                                aria-labelledby="bai-tap-10-tab">
                                <div class="form-group header">
                                    <button id="btnBai10" class="btn btn-dark">So sánh số lượng số dương và số âm
                                    </button>

                                </div>
                                <div class="arrayNumber">
                                    <i class="fa-solid fa-hand-point-right"></i>
                                    <span id="result10"></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </div>
        <!-- Optional JavaScript -->
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
        <script
            src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
            crossorigin="anonymous"></script>
        <script
            src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
            crossorigin="anonymous"></script>

        <script src="./index.js"></script>
    </body>
</html>